import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { AppRouteGuard } from '../shared/auth/auth-route-guard';

import { StudentComponent } from './student/student.component';
import { CourseComponent } from './course/course.component';

const routes: Routes = [
  { path: '', redirectTo: 'student', pathMatch: 'full' },
  { path: 'student', component: StudentComponent, canActivate: [AppRouteGuard] },
  { path: 'course', component: CourseComponent, canActivate: [AppRouteGuard] },
]


@NgModule({
  imports: [
    RouterModule.forChild(routes)
  ],
  exports: [RouterModule]
})
export class ContentRoutingModule { }
