import { Component, OnInit, ViewChild } from '@angular/core';

import {StudentService, Student, PagedInput} from '../../shared/service-proxy/student.service'
import { PaginationComponent } from '../../shared/pagination/pagination.component';

@Component({
  selector: 'app-student',
  templateUrl: './student.component.html',
  styleUrls: ['./student.component.css']
})
export class StudentComponent implements OnInit {
  
  students: Student[] = [];

  public start: number = 0;
  public pagedInput: PagedInput = new PagedInput();
  @ViewChild(PaginationComponent) paginationComponent: PaginationComponent;


  constructor(private service: StudentService) {
    
   }

  ngOnInit() {
  }

  onPageChanged(pageInfo: PagedInput): void {
    this.pagedInput.page = pageInfo.page;
    this.pagedInput.pageSize = pageInfo.pageSize;
    this.service.getPagedList(this.pagedInput)
      .subscribe(result => {
        this.students = result.data;
        this.showPaging(result.total);
      })
  }

  showPaging(total:number):void{
    this.paginationComponent.updateInfo(total);
    this.start = (this.pagedInput.page - 1) * this.pagedInput.pageSize;
}
}
